CVC4::parser::InputStream Class Reference

Wrapper around an input stream. More...

`#include <input.h>`

## Public Member Functions

virtual | ~InputStream ()
| Destructor.
const std::string | getName () const
| Get the name of this input stream.

## Protected Member Functions

| InputStream (std::string name, bool isTemporary=false)
| Initialize the input stream with a name.

## Detailed Description

Wrapper around an input stream.

Definition at line 48 of file input.h.

## Constructor & Destructor Documentation

## InputStream()

CVC4::parser::InputStream::InputStream | ( | std::string | name,
|  | bool | isTemporary = false )

inlineprotected

Initialize the input stream with a name.

Definition at line 60 of file input.h.

## ~InputStream()

virtual CVC4::parser::InputStream::~InputStream | ( |  | ) |

inlinevirtual

Destructor.

Definition at line 68 of file input.h.

## Member Function Documentation

## getName()

const std::string CVC4::parser::InputStream::getName | ( |  | ) | const

Get the name of this input stream.

The documentation for this class was generated from the following file:

- src/parser/input.h